## This file is part of Metaproxy
## Copyright (C) 2005-2007, Index Data ApS
-## $Id: Makefile.am,v 1.25 2008-02-14 14:25:41 marc Exp $
+## $Id: Makefile.am,v 1.26 2008-02-25 21:01:43 adam Exp $
SUBDIRS = xml src etc doc
cp $(srcdir)/debian/changelog $(distdir)/debian
cp $(srcdir)/debian/rules $(distdir)/debian
cp $(srcdir)/debian/*.install $(distdir)/debian
+ cp $(srcdir)/debian/metaproxy.default $(distdir)/debian
+ cp $(srcdir)/debian/metaproxy.init $(distdir)/debian
+ cp $(srcdir)/debian/metaproxy.logrotate $(distdir)/debian
#cp $(srcdir)/debian/*.manpages $(distdir)/debian
#cp $(srcdir)/debian/*.postinst $(distdir)/debian
--- /dev/null
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: metaproxy
+# Required-Start: $local_fs $remote_fs $network $named $time
+# Required-Stop: $local_fs $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Metaproxy server
+# Description: Debian init script for the Metaproxy server
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/metaproxy
+NAME=metaproxy
+DESC=metaproxy
+
+test -x $DAEMON || exit 0
+
+# Include metaproxy defaults if available
+if [ -f /etc/default/metaproxy ] ; then
+ . /etc/default/metaproxy
+fi
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON -- $DAEMON_OPTS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo "Reloading $DESC configuration files."
+ # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ # /var/run/$NAME.pid --exec $DAEMON
+ #;;
+ force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart" except that it does nothing if the
+ # daemon isn't already running.
+ # check wether $DAEMON is running. If so, restart
+ start-stop-daemon --stop --test --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON \
+ && $0 restart \
+ || exit 0
+ ;;
+ restart)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --oknodo --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
config.status: configure
dh_testdir
# Add here commands to configure the package.
- CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man
+ CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-yazpp=/usr/bin
#--infodir=\$${prefix}/share/info --enable-shared --enable-static --with-xslt
dh_installchangelogs
dh_installexamples
mv debian/tmp/usr/share/doc/metaproxy debian/tmp/usr/share/doc/metaproxy-doc
- mkdir debian/tmp/etc
- cp debian/tmp/usr/share/metaproxy/etc/config1.xml debian/tmp/etc/metaproxy.conf
+ mkdir -p debian/tmp/etc/metaproxy
+ cp debian/tmp/usr/share/metaproxy/etc/config1.xml debian/tmp/etc/metaproxy/metaproxy.xml
dh_install
# dh_installmenu
# dh_installdebconf
-# dh_installlogrotate
+ dh_installlogrotate
# dh_installemacsen
# dh_installpam
# dh_installmime
-# dh_installinit
+ dh_installinit
# dh_installcron
# dh_installinfo
dh_installman